> For the complete documentation index, see [llms.txt](https://docs.nebulaecn.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nebulaecn.com/rest-api/reference-data.md).

# Reference Data

#### &#x20;<a href="#public-withdraw_limits" id="public-withdraw_limits"></a>

### Get withdraw limits

**Description**

Returns withdrawal limits table as paginated collection

#### HttpRequest

```
GET https://trade.nebulaecn.com/api/v2/backend/public/withdraw_limits
```

**Parameters**

| Name       | Located in | Description                                                                  | Required | Schema  |
| ---------- | ---------- | ---------------------------------------------------------------------------- | -------- | ------- |
| group      | query      | Member group for define withdraw limits.                                     | No       | string  |
| kyc\_level | query      | KYC level for define withdraw limits.                                        | No       | string  |
| limit      | query      | Limit the number of returned paginations. Defaults to 100.                   | No       | integer |
| page       | query      | Specify the page of paginated results.                                       | No       | integer |
| ordering   | query      | If set, returned values will be sorted in specific order, defaults to 'asc'. | No       | string  |
| order\_by  | query      | Name of the field, which result will be ordered by.                          | No       | string  |

**Responses**

| Code | Description                                           | Schema             |
| ---- | ----------------------------------------------------- | ------------------ |
| 200  | Returns withdraw limits table as paginated collection | \[ WithdrawLimit ] |

### Get trading fees

**Description**

Returns trading\_fees table as paginated collection

#### HttpRequest

```
GET https://trade.nebulaecn.com/api/v2/backend/public/trading_fees
```

**Parameters**

| Name       | Located in | Description                                                                  | Required | Schema  |
| ---------- | ---------- | ---------------------------------------------------------------------------- | -------- | ------- |
| group      | query      | Member group for define maker/taker fee.                                     | No       | string  |
| market\_id | query      | Market id for define maker/taker fee.                                        | No       | string  |
| limit      | query      | Limit the number of returned paginations. Defaults to 100.                   | No       | integer |
| page       | query      | Specify the page of paginated results.                                       | No       | integer |
| ordering   | query      | If set, returned values will be sorted in specific order, defaults to 'asc'. | No       | string  |
| order\_by  | query      | Name of the field, which result will be ordered by.                          | No       | string  |

**Responses**

| Code | Description                                         | Schema          |
| ---- | --------------------------------------------------- | --------------- |
| 200  | Returns trading\_fees table as paginated collection | \[ TradingFee ] |

### Get app readiness status

**Description**

Get application readiness status

#### HttpRequest

```
GET https://trade.nebulaecn.com/api/v2/backend/public/health/ready
```

**Responses**

| Code | Description                      |
| ---- | -------------------------------- |
| 200  | Get application readiness status |

### Get server time

**Description**

Get server current time, in seconds since Unix epoch.

#### HttpRequest

```
GET https://trade.nebulaecn.com/api/v2/backend/public/timestamp
```

**Responses**

| Code | Description                                           |
| ---- | ----------------------------------------------------- |
| 200  | Get server current time, in seconds since Unix epoch. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nebulaecn.com/rest-api/reference-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
